Page MenuHomePhabricator

Cross-wiki upload tool must avoid to add empty language templates
Closed, ResolvedPublic

Description

For cross-wiki uploads it must be avoided to add language templates without an effective content (example: https://commons.wikimedia.org/wiki/File:Afafa1-1.png).

Note: From my perspective non-effective content exclusively contains whitespaces and newlines in any combination. But maybe these two are not correct.

Event Timeline

Aschroet created this task.Dec 17 2015, 7:12 AM
Aschroet raised the priority of this task from to Needs Triage.
Aschroet updated the task description. (Show Details)
Aschroet added a project: MediaWiki-Uploading.
Aschroet added a subscriber: Aschroet.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 17 2015, 7:12 AM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Aschroet renamed this task from Cross-wiki upload tool should avoid to add empty language templates to Cross-wiki upload tool must avoid to add empty language templates.Dec 17 2015, 8:01 AM
Aschroet set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 17 2015, 8:01 AM
matmarex claimed this task.Dec 17 2015, 4:43 PM
matmarex added a subscriber: matmarex.

Hmm, yeah. We require that this field not be empty, but we aren't counting whitespace-only content as empty. It doesn't seem like people are exploiting this often, though (or the uploads quickly get fixed/deleted), since the category for this error is almost empty.

matmarex triaged this task as Normal priority.Dec 17 2015, 4:43 PM

Of course it is not a big issue, but it will create a constant stream of work for cleaners which could be avoided by a minor extension. Btw, this issue prevents such a file appearing in the right category which is "Media lacking a description".

Yes, it's a real bug and we'll fix it.

matmarex raised the priority of this task from Normal to High.Dec 18 2015, 9:44 PM

Change 260401 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Require non-whitespace description

https://gerrit.wikimedia.org/r/260401

Change 260401 merged by jenkins-bot:
mw.Upload.BookletLayout: Require non-whitespace description

https://gerrit.wikimedia.org/r/260401

Prtksxna closed this task as Resolved.Dec 22 2015, 4:48 AM
Prtksxna added a subscriber: Prtksxna.

That image was uploaded using a different tool, the "Cross-wiki upload" tag is not there and the file page reads "Transferred from en.wikipedia to Commons using For the Common Good." Please report the bug to its creator :) Cross-wiki uploads should no longer have this problem.